#### D.15.4.38 derivationNeg

Procedure from library `difform.lib` (see difform_lib).

Usage:
  -phi; phi derivation

Return:
  the negation of a given derivation

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z,t),dp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dDt, dx, dy, dz, dt are available.
    list L_1; L_1[1] = list(dy,dx,dt,dz); L_1[2] = list(x2-y,23y+t,tz4,z-y);
    /////////////////
    // Derivations //
    /////////////////
    derivation phi_1 = L_1; phi_1;
    ==>  Omega_R^1 --> R
    ==>        dx |--> 23y+t
    ==>        dy |--> x2-y
    ==>        dz |--> -y+z
    ==>        dt |--> z4t
    ==>
    ==>
    derivation phi_poly = 3xyz; phi_poly;
    ==>  Omega_R^1 --> R
    ==>        dx |--> 3xyz
    ==>        dy |--> 3xyz
    ==>        dz |--> 3xyz
    ==>        dt |--> 3xyz
    ==>
    ==>
    /////////////////////////////
    // Negation of derivations //
    /////////////////////////////
    -phi_1;
    ==>  Omega_R^1 --> R
    ==>        dx |--> -23y-t
    ==>        dy |--> -x2+y
    ==>        dz |--> y-z
    ==>        dt |--> -z4t
    ==>
    ==>
    -(-phi_1);
    ==>  Omega_R^1 --> R
    ==>        dx |--> 23y+t
    ==>        dy |--> x2-y
    ==>        dz |--> -y+z
    ==>        dt |--> z4t
    ==>
    ==>
    -(phi_poly);
    ==>  Omega_R^1 --> R
    ==>        dx |--> -3xyz
    ==>        dy |--> -3xyz
    ==>        dz |--> -3xyz
    ==>        dt |--> -3xyz
    ==>
    ==>
    kill Omega_R,dx,dy,dz,dt,L_1,phi_1,phi_poly;

See also: derivationSub.

User manual for Singular version 4.4.1, 2025, generated by texi2html.